# 贡献指南

感谢您考虑为本项目做出贡献！为了帮助您入手并快速贡献，本文提供了一些基本的指导。

## Issue

如果您发现了一个 bug 或者有一个新的功能请求，可以在我们的 [GitHub Issues](https://github.com/caiyunapp/cyeva/issues) 页面上创建一个 issue，我们会及时查看并回复您的问题。

## Pull Request

我们非常欢迎您为本项目提交 Pull Request。在提交 PR 之前，请确保您已经遵循了以下步骤：

1. 从主分支（`main`）拉取最新的代码并创建一个新的分支（比如 `feature/new-feature`）。
2. 在新分支上开发您的代码，确保您的代码风格符合项目的编码规范。
3. 通过测试用例，确保代码能够正常运行并且不会影响其他部分。
4. 通过测试后，提交您的 Pull Request。在 PR 描述中，请详细描述您的代码变更，包括对相关 issue 的引用。

## Coding Style

本项目的代码风格遵循 [PEP 8](https://www.python.org/dev/peps/pep-0008/) 规范。在提交代码前，请确保您的代码风格符合这个规范。

## License

本项目采用 [Apache License](./LICENSE) 协议。在为本项目做出贡献之前，请确保您已经完全了解了该协议内容并同意遵守该协议的所有规定。

如果您有任何问题，请随时在 GitHub Issues 页面上发起讨论。我们非常感谢您的贡献！
